/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.parser.valueobject;

/**
 * HTMLのコメント・イベントをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlEventComments extends BlancoHtmlEvent {
    /**
     * フィールド: [comments]。
     */
    private String fComments;

    /**
     * フィールド [comments] の値を設定します。
     *
     * @param argComments フィールド[comments]に設定する値。
     */
    public void setComments(final String argComments) {
        fComments = argComments;
    }

    /**
     * フィールド [comments] の値を取得します。
     *
     * @return フィールド[comments]から取得した値。
     */
    public String getComments() {
        return fComments;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.parser.valueobject.BlancoHtmlEventComments[");
        buf.append("comments=" + fComments);
        buf.append("]");
        return buf.toString();
    }
}
